package cn.stylefeng.workflow.event.api;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.pojo.InstanceContext;

import java.util.List;

public interface TaskEventConsumer {

    void saveTaskEvent(List<RuTask> taskList, InstanceContext instanceContext);

    void updateTaskStatusEvent(RuTask task, InstanceContext instanceContext);

    void updateTaskReadFlagEvent(RuTask task, InstanceContext instanceContext);

    void deleteTaskEvent(List<RuTask> taskList, InstanceContext instanceContext);

}
